package com.ruoyi.common.core.domain.model;

public class WeChatUser extends LoginUser {
    private static final long serialVersionUID = 1L;


    /**
     * 用户的唯一标识
     */
    private String openid;

    /**
     * 微信会话秘钥
     */
    private String sessionKey;

    /**
     * 昵称
     */
    private String nickName;

    /**
     * 手机号码
     */
    private String tel;

    /**
     * 性别，0-未知 1-男性，2-女性
     */
    private Integer gender;
    private String region;

    /**
     * 用户头像URL
     */
    private String avatarUrl;

    private String code;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getOpenid() {
        return openid;
    }

    public void setOpenid(String openid) {
        this.openid = openid;
    }

    public String getSessionKey() {
        return sessionKey;
    }

    public void setSessionKey(String sessionKey) {
        this.sessionKey = sessionKey;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getTel() {
        return tel;
    }

    public void setTel(String tel) {
        this.tel = tel;
    }

    public Integer getGender() {
        return gender;
    }

    public void setGender(Integer gender) {
        this.gender = gender;
    }

    public String getRegion() {
        return region;
    }

    public void setRegion(String region) {
        this.region = region;
    }

    public String getAvatarUrl() {
        return avatarUrl;
    }

    public void setAvatarUrl(String avatarUrl) {
        this.avatarUrl = avatarUrl;
    }

    @Override
    public String getUsername() {
        return this.openid;
    }

    @Override
    public String getPassword() {
        return this.sessionKey;
    }
}
